@import url('https://fonts.googleapis.com/css2?family=Schoolbell&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Inter:wght@300;400;500;600;700&display=swap');

.header{
    position: sticky;
    top:0;
    z-index: 100;
    backdrop-filter: blur(10px);
    background-color: rgba(255, 255, 255, 0.5);
    border-bottom: 1px solid rgba(255, 255, 255, 0.2);
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
}

.header-content{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding:20px;
}

.avatar-and-title-header-container{
    display: flex;
    flex-direction: row;
    align-items: center;
}

.title-header-container{
    margin-left: 5px;
}

.avatar-header-container{
    display: flex;
    align-items: center;
    width:180px;
    height: 44px;
}

.avatar-header{
    width:100%;
}

/*HEADER RIGHT*/
.header-right-content{
    display: flex;
    align-items: center;
}
.header-right-content > .a-link-header{
    color: #000;
    margin: 0 1rem;
    font-weight: 600;
    text-decoration: none;
    font-size: 1.2rem;
    transition: all var(--transition-speed) ease;
    position: relative;
}

.header-right-content .a-link-header::after {
    content: '';
    position: absolute;
    left: 0;
    bottom: -5px; 
    width: 0;
    height: 2px;
    background-color: #000; 
    transition: width var(--transition-speed) ease;
}

.header-right-content .a-link-header:hover::after {
    width: 100%;
}

/*BUTTON HEADER*/
.btn-burger{
    display: none;
    background:none;
    color: black;
    font-weight: bold;
    font-size: 26px;
    width: auto;
    border: none;
    cursor: pointer;
}

@media screen and (max-width: 791px){
    .header-content{
        display: block;
    }
    .header-right-content{
        display: none;
    }
    .header-right-content > a{
        padding: 10px 10px;
        text-align: center;
    }
    .header-right-content.show{
        display: flex;
        flex-direction: column;
        margin-top: 10px;
    }
    .header-left-content{
        display: flex;
        justify-content: space-between;
        align-items: center;
    }
    .btn-burger{
        display: block;
        margin: 0;
        height: auto;
        padding: 0;
    }
}